<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.5 $
 * $Author: tora60 $
 * $Date: 2010/10/02 08:17:17 $
 */

defined('mxMainFileLoaded') or die('access denied');
class_exists('pmxBackend', false) or die('access denied');

class pmxBackend_News extends pmxBackend {
    private $_parent;

    public function __construct(&$parent)
    {
        $this->_config = $parent->_config;
        $this->_parent = $parent;
    }

    protected function get_items()
    {

        if (!mxModuleAllowed($this->_parent->_modname)) {
            return $this->moduleerror($this->_parent->_modname);
        }
        $result = sql_query("SELECT s.sid, s.title, s.hometext, s.bodytext, UNIX_TIMESTAMP(s.time) AS date, s.informant, c.title AS cattitle
                              FROM {$this->prefix}_stories AS s
                              LEFT JOIN {$this->prefix}_stories_cat AS c 
                              ON s.catid = c.catid
                              WHERE time <= now() 
                              ORDER BY time DESC, sid DESC" . $this->sql_limit());

        if (!$result) {
            return;
        }

        $items = array();
        while ($row = sql_fetch_object($result)) {
            $item = new FeedItem();
            $item->descriptionTruncSize = $this->itemdescriptiontrunk;
            $item->title = strip_tags($row->title) . (($row->cattitle) ?  ' (' . strip_tags($row->cattitle) . ')' : '');
            $item->link = PMX_HOME_URL . '/modules.php?name=' . $this->_parent->_modname . '&file=article&sid=' . $row->sid;
            $item->description = $this->preparetext ($row->hometext . '<br /><br />' . $row->bodytext);
            $item->date = intval($row->date);
            $item->source = PMX_HOME_URL . '/modules.php?name=' . $this->_parent->_modname . '';
            $items[] = $item;
        }

        return $items;
    }
}

?>